Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.tribes.group
Interface RpcCallback

All Known Implementing Classes:
  AbstractReplicatedMap, LazyReplicatedMap, ReplicatedMap

    public interface RpcCallback

The RpcCallback interface is an interface for the Tribes channel to request a response object to a request that came in.

Version:
  1.0
Author:
  not attributable

Method Summary
`void` | `leftOver(java.io.Serializable msg, Member sender)` If the reply has already been sent to the requesting thread, the rpc callback can handle any data that comes in after the fact.
`java.io.Serializable` | `replyRequest(java.io.Serializable msg, Member sender)`

Method Detail

### replyRequest

    java.io.Serializable replyRequest(java.io.Serializable msg,
                                      Member sender)

  Parameters:
    `msg` - Serializable
  Returns:
    Serializable - null if no reply should be sent

### leftOver

    void leftOver(java.io.Serializable msg,
                  Member sender)

  If the reply has already been sent to the requesting thread, the rpc callback can handle any data that comes in after the fact.

  Parameters:
    `msg` - Serializable
    `sender` - Member

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.